<?php
/*  Copyright 2004 Patrick R. Michaud (pmichaud@pobox.com)
    This file is part of PmWiki; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.  See pmwiki.php for full details.

    This script defines the ?action=print action to give a printable
    view of a page.  Essentially it performs the following modifications:
      - Changes the page skin to 'print' (locally defined by $PrintCSS)
      - Redefines the standard layout to a format suitable for printing
      - Redefines internal links to keep ?action=print
      - Changes the display of URL and mailto: links
      - Uses GroupPrintHeader and GroupPrintFooter pages instead
        of GroupHeader and GroupFooter
*/

if ($action=='print') {
  SDV($PrintCSS,'print');
  $PageSkin = $PrintCSS;
  SDV($PageHeaderFmt,'function:PrintStdLayout div#printhead');
  SDV($PageFooterFmt,'function:PrintStdLayout div#printfoot');
  SDV($PageTitleFmt,'function:PrintStdLayout div#printtitle');
  SDV($PageBar1Fmt,'function:PrintStdLayout div#printbody');
  SDV($PageBar2Fmt,'function:PrintStdLayout </div>');
  SDVA($PageLayoutFmt,array(
    'printhead' => "\n       <h3>From \$WikiTitle</h3>",
    'printtitle' => "
      <h1 class='pagename'><a href='\$ScriptUrl/\$Group'>\$Group: 
        \$Title</a></h1>",
    'printfoot' => "
      <div class='from'>$[Retrieved from \$PageUrl]</div>
      <div class='lastmod'>$[Page last modified on \$LastModified]</div>"));
  $WikiPageExistsFmt = "<a class='wikilink' href='\$PageUrl?action=print\$Fragment'>\$LinkText</a>";
  $UrlLinkFmt = "<cite class='urllink'>\$LinkText</cite> [<a class='urllink' href='\$Url'>\$Url</a>]";
  $GroupHeaderFmt = '$Group.GroupPrintHeader';
  $GroupFooterFmt = '$Group.GroupPrintFooter';
  $DoubleBrackets["/\\[\\[mailto:($UrlPathPattern)(.*?)\\]\\]/"] = 
    "''\$2'' [mailto:\$1]";
}

?>
